import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';

const MenuItem = ({ title, onClick, styles, className, children, disabled }) => (
  <div
    disabled={disabled}
    title={title || (typeof children === 'string' ? children : '')}
    className={cx(
      styles.item,
      className,
      {
        [styles.disabledItem]: disabled
      }
    )}
    onClick={onClick}
  >
    { children }
  </div>
);

MenuItem.propTypes = {
  disabled: PropTypes.bool,
  onClick: PropTypes.func,
  styles: PropTypes.shape(),
  title: PropTypes.string
};

MenuItem.defautProps = {
  disabled: false,
  onClick: undefined,
  styles: {},
  title: ''
};

export default MenuItem;
